### Enumeration

# Gio DBusConnectionFlags

since: 2.26

#### Declaration

    flags Gio.DBusConnectionFlags

#### Description

Flags used when creating a new `GDBusConnection`.

Available since: 2.26

#### Members

`G_DBUS_CONNECTION_FLAGS_NONE`

  No flags set.

  - Value: `0`
  - Available since: 2.26
`G_DBUS_CONNECTION_FLAGS_AUTHENTICATION_CLIENT`

  Perform authentication against server.

  - Value: `1`
  - Available since: 2.26
`G_DBUS_CONNECTION_FLAGS_AUTHENTICATION_SERVER`

  Perform authentication against client.

  - Value: `2`
  - Available since: 2.26
`G_DBUS_CONNECTION_FLAGS_AUTHENTICATION_ALLOW_ANONYMOUS`

  When authenticating as a server, allow the anonymous authentication method.

  - Value: `4`
  - Available since: 2.26
`G_DBUS_CONNECTION_FLAGS_MESSAGE_BUS_CONNECTION`

  Pass this flag if connecting to a peer that is a message bus. This means that the Hello() method will be invoked as part of the connection setup.

  - Value: `8`
  - Available since: 2.26
`G_DBUS_CONNECTION_FLAGS_DELAY_MESSAGE_PROCESSING`

  If set, processing of D-Bus messages is delayed until `g_dbus_connection_start_message_processing()` is called.

  - Value: `16`
  - Available since: 2.26
`G_DBUS_CONNECTION_FLAGS_AUTHENTICATION_REQUIRE_SAME_USER`

  When authenticating as a server, require the UID of the peer to be the same as the UID of the server. (Since: 2.68).

  - Value: `32`
  - Available since: 2.26
`G_DBUS_CONNECTION_FLAGS_CROSS_NAMESPACE`

  When authenticating, try to use protocols that work across a Linux user namespace boundary, even if this reduces interoperability with older D-Bus implementations. This currently affects client-side `EXTERNAL` authentication, for which this flag makes connections to a server in another user namespace succeed, but causes a deadlock when connecting to a GDBus server older than 2.73.3. Since: 2.74.

  - Value: `64`
  - Available since: 2.26